|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QTcpSocket Class Reference

The QTcpSocket class provides a TCP socket. More...

    #include <QTcpSocket>

Part of the QtNetwork module.

Inherits QAbstractSocket.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTcpSocket ( QObject * parent = 0 )
- virtual ~QTcpSocket ()

- 23 public functions inherited from QAbstractSocket
- 31 public functions inherited from QIODevice
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 5 signals inherited from QAbstractSocket
- 3 signals inherited from QIODevice
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 2 protected functions inherited from QAbstractSocket
- 5 protected functions inherited from QIODevice
- 7 protected functions inherited from QObject

## Detailed Description

The QTcpSocket class provides a TCP socket.

TCP (Transmission Control Protocol) is a reliable, stream-oriented, connection-oriented transport protocol. It is especially well suited for continuous transmission of data.

QTcpSocket is a convenience subclass of QAbstractSocket that allows you to establish a TCP connection and transfer streams of data. See the QAbstractSocket documentation for details.

The Fortune Server, Fortune Client, and Blocking Fortune Client examples illustrate how to use QTcpSocket in applications.

See also QTcpServer, QUdpSocket, QFtp, and QHttp.

## Member Function Documentation

### QTcpSocket::QTcpSocket ( QObject * parent = 0 )

Creates a QTcpSocket object in state `UnconnectedState`.

parent is passed on to the QObject constructor.

See also socketType().

### QTcpSocket::~QTcpSocket () `[virtual]`

Destroys the socket, closing the connection if necessary.

See also close().